;;; -*- Mode: Lisp; Syntax: Common-Lisp; Package: Penman -*-



(in-package "PENMAN")

;;; MACRO TO ELIMINATE INTERPRETATION OF :event-time as SPECIAL KEYWORD


(defspl-macro :event-time
	      ((?
		 :reference-time-id ?
;; R3-beta-4 following removed since the inquiry appears to have died...
;;		 :temporal-definiteness-q definite
		 :temporal-definiteness-specification-q specified)))


;;; EXAMPLE SPL DEFAULT DEFINITIONS

(defspl-default present-tense
  ; :tense present
  :speaking-time-id (DEFAULT-ST / time
		      :same-as-q (DEFAULT-ST DEFAULT-ET) same
		      :precede-q (DEFAULT-ST DEFAULT-ET) notprecedes)
  :event-time (DEFAULT-ET / time
		:precede-q (DEFAULT-ET DEFAULT-ST) notprecedes))

(defspl-default basic-assertion
  :speech-act-id (DEFAULT-ASSERT / Assertion)
  :polarity-id (DEFAULT-POSITIVE / Positive))
