(in-package "KPML")

;(defun remove-accent-morph (head)
;	(if
;		(string= "n"
;			(subseq head (- (length head) 2) (length head) )
;		)
;		(string-append 
;			(subseq head 0(- (length head) 2) )
;			"an")
;	head
;	)
;)

(define-realization-operators remove-accent)

(defun remove-accent-morph (head)
 (cond
	((string= "n" (subseq head (- (length head) 2) (length head)))
		(string-append (subseq head 0(- (length head) 2)) "an"))
	((string= "n" (subseq head (- (length head) 2) (length head)))
		(string-append (subseq head 0(- (length head) 2)) "en"))
	((string= "n" (subseq head (- (length head) 2) (length head)))
		(string-append (subseq head 0(- (length head) 2)) "in"))
	((string= "n" (subseq head (- (length head) 2) (length head)))
		(string-append (subseq head 0(- (length head) 2)) "on"))
	((string= "n" (subseq head (- (length head) 2) (length head)))
		(string-append (subseq head 0(- (length head) 2)) "un"))
	((string= "s" (subseq head (- (length head) 2) (length head)))
		(string-append (subseq head 0(- (length head) 2)) "as"))
	((string= "s" (subseq head (- (length head) 2) (length head)))
		(string-append (subseq head 0(- (length head) 2)) "es"))
	((string= "s" (subseq head (- (length head) 2) (length head)))
		(string-append (subseq head 0(- (length head) 2)) "is"))
	((string= "s" (subseq head (- (length head) 2) (length head)))
		(string-append (subseq head 0(- (length head) 2)) "os"))
	((string= "s" (subseq head (- (length head) 2) (length head)))
		(string-append (subseq head 0(- (length head) 2)) "us"))
 )	
)

(defun remove-accent (Function-name)
     (morphose Function-name 'remove-accent-morph))



(define-realization-operators from-z-to-c)

(defun from-z-to-c-morph (head)
	(if
		(string= "z"
			(subseq head (1- (length head)) (length head))
		)
		(string-append 
			(subseq head 0 (1- (length head)))
			"c")
	head
	)
)

(defun from-z-to-c (Function-name)
     (morphose Function-name 'from-z-to-c-morph))


